/**
  *  \file client/tiles/planetfcode.h
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_PLANETFCODE_H
#define PCC_V2_CLIENT_TILES_PLANETFCODE_H

#include "client/wtile.h"
#include "ui/widgets/button.h"

class WPlanetFCodeTile : public WObjectSelectionObserverTile {
    UIButton btn_f;
 public:
    WPlanetFCodeTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

class WNarrowPlanetFCodeTile : public WObjectSelectionObserverTile {
    ObjectHolder h;
 public:
    WNarrowPlanetFCodeTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
